gettext.h File Reference

Go to the source code of this file.

## Macros

#define | gettext(Msgid)
#define | dgettext(Domainname, Msgid)
#define | dcgettext(Domainname, Msgid, Category)
#define | ngettext(Msgid1, Msgid2, N)
#define | dngettext(Domainname, Msgid1, Msgid2, N)
#define | dcngettext(Domainname, Msgid1, Msgid2, N, Category)
#define | textdomain(Domainname)
#define | bindtextdomain(Domainname, Dirname)
#define | bind_textdomain_codeset(Domainname, Codeset)
#define | gettext_noop(String)

## Macro Definition Documentation

## bind_textdomain_codeset

#define bind_textdomain_codeset | ( |  | Domainname,
|  |  | Codeset )

Value:
((const char *) (Codeset))

## bindtextdomain

#define bindtextdomain | ( |  | Domainname,
|  |  | Dirname )

Value:
((const char *) (Dirname))

## dcgettext

#define dcgettext | ( |  | Domainname,
|  |  | Msgid,
|  |  | Category )

Value:
((const char *) (Msgid))

## dcngettext

#define dcngettext | ( |  | Domainname,
|  |  | Msgid1,
|  |  | Msgid2,
|  |  | N,
|  |  | Category )

Value:
((N) == 1 ? (const char *) (Msgid1) : (const char *) (Msgid2))

## dgettext

#define dgettext | ( |  | Domainname,
|  |  | Msgid )

Value:
((const char *) (Msgid))

## dngettext

#define dngettext | ( |  | Domainname,
|  |  | Msgid1,
|  |  | Msgid2,
|  |  | N )

Value:
((N) == 1 ? (const char *) (Msgid1) : (const char *) (Msgid2))

## gettext

#define gettext | ( |  | Msgid | ) |

Value:
((const char *) (Msgid))

## gettext_noop

#define gettext_noop | ( |  | String | ) |

Value:
String

## ngettext

#define ngettext | ( |  | Msgid1,
|  |  | Msgid2,
|  |  | N )

Value:
((N) == 1 ? (const char *) (Msgid1) : (const char *) (Msgid2))

## textdomain

#define textdomain | ( |  | Domainname | ) |

Value:
((const char *) (Domainname))